Status: Accepted Priority: Could have
Author: Aske Ertmann Category: Global User Interface
Created: 2013-04-07 Assigned To: Aske Ertmann
Updated: 2014-11-20 Due date:
Subject: Global user interface
Description

Global user interface
    -  Target Audience: users who want to edit content
    -  Responsible: Aske Ertmann
    -  Implemented by: the whole Neos Team
    -  Amount: not estimatable, not paid, done on voluntary basis
    -  Version: must have for 1.0
    -  Planned Implementation Timeframe: continuous work

Motivation
In order to get a good user experience and a clean user interface, we need to improve the global user interface with thought through
concepts and a more general styling.

Goal
To achieve a good and consistent user experience together with a consistent design and reused components/experiences across the
whole backend.

Deliverables
    -  Menu component
    -  Navigate component
    -  Top bar
        -  User menu
        -  Publish menu
    -  Context bar
    -  Inspector
    -  Overlays
    -  Breadcrumb
    -  Search field/results
        -  Commands
    -  Notifications
    -  Tips

Subtasks:
Task # 47024: Overlays Closed
  Task # 45444: Streamline overlay styling Closed
Task # 48068: Menu component Closed
  Task # 49850: Condensed sticky menu Closed
Task # 48071: Navigate component Resolved
  Task # 49946: Node tree filtering Resolved
  Task # 52789: Expand search field when active Closed
  Task # 52790: Prefix remaining dynatree classes (drag'n'drop) New
  Task # 52791: Make the node tree collapsible Rejected
  Task # 52792: Remember tree state Closed
  Task # 52793: Make new position selectable like with paste position Resolved
  Task # 52794: Sync context structure tree with node changes Resolved
  Task # 52795: Expand parents if current page is nested below initial max depth Resolved
  Task # 52796: Only allow creation of allow subtypes of current node/parent node Closed
  Task # 52821: Add new / pasting in context structure tree can add child nodes to non co... Closed
  Task # 53106: Make the Expand Level of the tree configurable Resolved
  Task # 53610: Navigate component breaks when changing a parent node name Resolved
  Task # 53582: Node Type Filter: ExtDirect Error Closed
  Task # 54080: As a content editor I want to be able to move pages Resolved
  Task # 55374: Context structure tree should automatically select newly inserted/pasted ... Closed
  Task # 55376: Collapsible node tree Closed
Task # 48075: Context bar Accepted
  Task # 48076: Wireframe mode toggle Accepted
  Task # 48077: Language selection New
  Task # 48078: Fullscreen mode toggle Accepted
  Task # 48079: Inline editor options Resolved
  Task # 48240: Edit & preview menu Resolved
  Bug # 49934: Background color of context bar Resolved
Task # 48080: Breadcrumb Accepted
  Task # 49932: Add label and icons to content breacrumb Resolved
  Task # 49957: Selecting a parent element doesn't change the content breadcrumb New
Task # 48091: Inspector Resolved
  Task # 48980: Parts of the Aloha Floating Menu should be integrated into the inspector Resolved
  Task # 49853: Redesign inspector collapse icons Resolved
  Task # 49859: Date editor Resolved
  Task # 49931: Add label for the whole inspector Resolved
  Task # 49935: Chosen unselect button styling Resolved
  Task # 49941: Styling/layout of secondary inspector Closed
  Task # 49947: Rename caption label to 'Enable caption' Resolved
Task # 48139: Notifications Resolved
Task # 48140: Tips New
Task # 48142: Search field/results New
  Task # 48143: Include commands as search results. New
Feature # 48233: Top bar Resolved
  Feature # 48234: User menu Closed
  Feature # 48235: Publish menu Closed
    Feature # 49933: Add "Publish all changes" option Resolved
    Bug # 49936: Auto-publish functionality behaves inconsistently Resolved
Task # 48238: Alert user when logging out with unpublished nodes New
Task # 48239: Backend interface color distinction New
Task # 48273: Enable JavaScript backend for modules Resolved
Task # 48328: Rename JavaScript to new structure Accepted
  Task # 48329: Remove leftover window.T3 New
  Task # 48333: Clean up Content/Application and Content/ContentModule New
  Task # 48334: (maybe) re-introduce "development mode indicator" in topToolbarTemplate New
  Task # 48352: Aloha loading does not always work reliably New
  Task # 48356: !!! Fix JS build Resolved
  Task # 48357: get rid of  window.Ember New
  Task # 48358: get rid of window.plupload, window.Chosen, window.AbstractChosen etc, win... New
Task # 48348: Rename Styling to new structure Resolved
Task # 49852: Design inline handles Resolved
  Bug # 52513: Remove focus outline of content element handles Closed
Task # 49856: Button design Resolved
Task # 49857: Module design Resolved
Task # 49940: Remove unused resources Resolved
Task # 49948: Shortcut page styling Resolved

2015-08-04 2/4



Task # 52203: Redesign login screen Resolved
Task # 52492: Page loader Resolved
Related issues:
related to TYPO3.Neos - Bug # 45321: Launcherbar visible in preview mode Rejected 2013-02-09
blocks Base Distribution - Work Package # 45007: Basic Accessibility of the N... Accepted 2013-05-15

Associated revisions
Revision b20b7a59 - 2013-07-10 16:11 - Aske Ertmann

[TASK] Add additional SCSS color variables and cleanup

Change-Id: Ie76eff34218286980646080f6a91f94c31e71f13
Related: #47023
Reviewed-on: https://review.typo3.org/22176
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

Revision 576ae57f - 2013-10-11 22:01 - Dominique Feyer

[BUGFIX] Select boxes in collapsed inspector sections

If a inspector section is collapsed the custom selector boxes
width is set to 0px, to prevent this we add width to 100%
with !important to overwrite inline style.

Change-Id: I4f14a907669c56ea02ba8e14837df32250c65862
Related: #47023
Reviewed-on: https://review.typo3.org/24333
Tested-by: Mr. Hudson
Reviewed-by: Aske Ertmann
Reviewed-by: Dominique Feyer
Tested-by: Dominique Feyer
Reviewed-by: Mattias Nilsson
Tested-by: Mattias Nilsson
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst

Revision e930ba20 - 2013-12-10 15:42 - Aske Ertmann

[TASK] Adjust templates to styling & various features/bug fixes

Change-Id: Ib0403f5409a31c3ce3c4b1cc9edbfed901e4458a
Related: #47023
Releases: 1.0, master
Reviewed-on: https://review.typo3.org/26076
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst
Revision 9d45e0a9 - 2013-12-10 15:42 - Aske Ertmann

[TASK] Media browser & media browser styling

Change-Id: I0aa2262c98d1c02e02d50bfee856c7a1d509216e
Related: #47023
Releases: 1.0, master
Reviewed-on: https://review.typo3.org/26075
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst

Revision 72fb21a7 - 2013-12-10 15:42 - Aske Ertmann

[TASK] Media browser & media browser styling

Change-Id: I0aa2262c98d1c02e02d50bfee856c7a1d509216e
Related: #47023
Releases: 1.0, master
Reviewed-on: https://review.typo3.org/26075
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst
(cherry picked from commit 9d45e0a944ed63d38452f12fd963165604137001)
Reviewed-on: https://review.typo3.org/26279

Revision eb219691 - 2013-12-10 15:42 - Aske Ertmann

[TASK] Adjust templates to styling & various features/bug fixes

Change-Id: Ib0403f5409a31c3ce3c4b1cc9edbfed901e4458a
Related: #47023
Releases: 1.0, master
Reviewed-on: https://review.typo3.org/26076
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst
(cherry picked from commit e930ba2008da4fa8cea210f8b9a06c973f72b216)
Reviewed-on: https://review.typo3.org/26280
